読者です 読者をやめる 読者になる 読者になる

Meblog

このブログ記事は個人の見解であり、所属する組織の公式見解ではありません

Unsupported major.minor なんとか

Android Studioにて、GitやらSubversionからimportしたときに

Cause com/anroid/build/gradle/AppPlugin Unsupported major.minor version 52.0

なんて出た時の対処メモ。

対処方法

上記の意味はJavaの実行バージョンがあってないよーということらしい。
現在の実行バージョンを見るには以下手順

  1. メニューバーから File > Project Structure > SDL Location を選択
  2. JDK Locationを確認

これでJDK Locationを適切なバージョン(上記エラーの場合、1.8)を選んでやると良い。

このエラー、OS-Xでよく出ると思うんだけど、OS-XのJDKが古いせいで頻発する。
具体的には、JDK8が必要なのに、JDK7しか入ってないってわけ。

公式サイトから取ってくるのが良い。
ここで、まじめにやるなら、各環境変数を変更しないといけないんだけど、とりあえず使うだけなら、上記JDK Location変更のみでいけるはず。